<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/book">
    <html>        
        <head>
            <title>A book</title>
        </head>
        <body>
            <xsl:apply-templates select="document(part/@ref)/part" mode="tdm"/>
            <hr/>
            <xsl:apply-templates select="document(part/@ref)/part"/>
        </body>
    </html>       
</xsl:template>

<xsl:template match="part">
    <xsl:apply-templates/>
    <ul>
        <li>Previous part : <xsl:value-of select="preceding::part[1]/title"/></li>
        <li>Next part : <xsl:value-of select="following::part[1]/title"/></li>
    </ul>
</xsl:template>
    
<xsl:template match="chapter">
    <xsl:apply-templates/>
</xsl:template>
    
<xsl:template match="part/title">
    <h1><xsl:value-of select="."/></h1>
</xsl:template>    

<xsl:template match="chapter/title">
    <h2><xsl:value-of select="."/></h2>
</xsl:template>    
    
<xsl:template match="para">
    <p><xsl:value-of select="."/></p>
</xsl:template>

<!-- TDM -->

<xsl:template match="part" mode="tdm">
    <xsl:apply-templates select="*" mode="tdm"/>
</xsl:template>

<xsl:template match="chapter" mode="tdm">
    <xsl:apply-templates select="title" mode="tdm"/>
</xsl:template>        

<xsl:template match="part/title" mode="tdm">
    <p><b><xsl:value-of select="."/></b></p>
</xsl:template>    

<xsl:template match="chapter/title" mode="tdm">
    <p><i><xsl:value-of select="."/></i></p>
</xsl:template>    

</xsl:stylesheet>
