<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:fo="http://www.w3.org/1999/XSL/Format">

    <xsl:template match="/book">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <fo:layout-master-set>
                <fo:simple-page-master master-name="A4">
                    <fo:region-body margin="2cm"/>
                </fo:simple-page-master>
            </fo:layout-master-set>
            <fo:page-sequence master-reference="A4">
                <fo:flow flow-name="xsl-region-body">
                    <xsl:apply-templates/>
                </fo:flow>
            </fo:page-sequence>
        </fo:root>
    </xsl:template>

    <xsl:template match="part | chapter">
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="part/title">
        <fo:block><fo:inline font-weight="bold" font-size="16pt">
            <xsl:value-of select="."/>
        </fo:inline></fo:block>                   
    </xsl:template>

    <xsl:template match="chapter/title">
        <fo:block><fo:inline font-weight="bold" font-size="14pt">
            <xsl:value-of select="."/>
        </fo:inline></fo:block>
    </xsl:template>

    <xsl:template match="para">
        <fo:block>
            <xsl:value-of select="."/>
        </fo:block>
    </xsl:template>

</xsl:stylesheet>


